Debtor Contacts¶
The contacts of a debtor¶
The contacts of a debtor. Be aware, the debtor itself can also contain contact information
Swagger Page¶
Permission / Auth¶
Bearer token with collection scope (read).
Header: Authorization: Bearer <token>
Query Parameters¶
| Name | In | Required | Type | Description |
|---|---|---|---|---|
companyId |
query | No | string | Optional parameter to filter on a specific company. Ignored when "cursor" is provided. Fetch the list of available companies from the "/companies" endpoint. |
modifiedSince |
query | No | string (date-time) | Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00"). |
cursor |
query | No | string | Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info. |
Example Request¶
curl -X GET 'https://{your-collections-platform-host}/api/v1/debtor-contacts' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
Example Response¶
{
"data": [
{
"id": 1,
"created_at": "2024-01-15T12:00:00+00:00",
"modified_at": "2024-01-15T12:00:00+00:00",
"company_id": 1,
"debtor_id": 1,
"reference": "string",
"title": "string",
"last_name": "string",
"first_name": "string",
"function": "string",
"email": "string",
"is_standard_recipient": false,
"is_primary": false,
"billing_email": "string",
"is_standard_billing_recipient": false,
"telephone_number": "string",
"mobile_phone": "string",
"fax": "string",
"address": "string",
"city": "string",
"zip_code": "string",
"country_code": "string",
"language": "string",
"is_archived": false,
"is_deleted": false
}
],
"next_batch_url": null,
"next_batch_cursor": null,
"resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
"resume_cursor": "opaque-resume-cursor"
}
Batch envelope¶
| Field | Description |
|---|---|
data |
Array of entities in this batch (max 100). |
next_batch_cursor / next_batch_url |
Pass cursor on the next request until empty. |
resume_cursor / resume_url |
Available when the full set is exhausted; use later for incremental sync. |
DebtorContact fields¶
| Field | Type | Description |
|---|---|---|
id |
integer (int64) | Internal BT Collections ID of the contact. |
created_at |
string (date-time) | The date the contact was created. |
modified_at |
string (date-time) | Last modification date of the contact. |
company_id |
integer (int64) | ID of the company. |
debtor_id |
integer (int64) | ID of the debtor. |
reference |
string | The reference of the contact. |
title |
string | The title of the contact. |
last_name |
string | The last name of the contact. |
first_name |
string | The first name of the contact. |
function |
string | The function of the contact. |
email |
string | The email address of the contact. |
is_standard_recipient |
boolean | When this value is true the email address of this contact (and all other contacts of the same debtor with is_standard_recipient = true) will be used to send reminders to instead of the email address of the debtor. |
is_primary |
boolean | When this value is true and an address was defined, the reminder will be sent to this name and address instead of the name and address of the debtor itself |
billing_email |
string | The email address of the contact that should be used for billing. |
is_standard_billing_recipient |
boolean | When this value is true the billing email address of this contact (and all other contacts of the same debtor with is_standard_billing_recipient = true) will be used to send invoices to instead of the billing email address of the debtor. |
telephone_number |
string | The telephone number of the contact. |
mobile_phone |
string | The mobile phone number of the contact. |
fax |
string | The fax number of the contact. |
address |
string | The address where the contact lives. |
city |
string | The city in which the contact lives. |
zip_code |
string | The zip code of the city in which the contact lives. |
country_code |
string | The country in which the contact lives. |
language |
string | The preferred language of the contact. |
is_archived |
boolean | This value is true when the contact was imported from the accounting software to BT Collections, but is now no longer active in the accounting software. |
is_deleted |
boolean | This value is true when the contact has been manually deleted in BT Collections by a user. |